# pull official base image
FROM python:3.9.6-alpine

# set work directory
WORKDIR /app
RUN mkdir /app/staticfiles/
# set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# install psycopg2 dependencies
RUN apk update \
    && apk add postgresql-dev gcc python3-dev musl-dev

# install dependencies
RUN pip install --upgrade pip
COPY ./requirements.txt .
RUN pip install -r requirements.txt

# copy entrypoint.sh
COPY ./entrypoint.sh /app
RUN sed -i 's/\r$//g' entrypoint.sh
RUN chmod +x /app/entrypoint.sh

# copy project
COPY . .

EXPOSE 8000

# run entrypoint.sh
CMD sh /app/entrypoint.sh